NoRewindIterator
NoRewindIterator::current
NoRewindIterator
PHP Manual

# NoRewindIterator::__construct

(PHP 5 >= 5.1.0)

NoRewindIterator::__construct — Construct a NoRewindIterator

### Description

NoRewindIterator::__construct ( Iterator `$iterator` )

Constructs a NoRewindIterator.

### Parameters

`iterator`

  The iterator being used.

### Return Values

A NoRewindIterator based on the passed in `iterator`.

### Examples

Example #1 NoRewindIterator::__construct example

The second loop does not output because the iterator is only used once, as it does not rewind.

`<?php
$fruit = array('apple', 'banana', 'cranberry');
$arr = new ArrayObject($fruit);
$it = new NoRewindIterator($arr->getIterator());
echo "Fruit A:\n";
foreach( $it as $item ) {
echo $item . "\n";
}
echo "Fruit B:\n";
foreach( $it as $item ) {
echo $item . "\n";
}
?>`

The above example will output something similar to:

    Fruit A:
    apple
    banana
    cranberry
    Fruit B:

### See Also

- NoRewindIterator::valid - Validates the iterator

NoRewindIterator
NoRewindIterator::current
NoRewindIterator
PHP Manual